Subject: bug#10298: closed (Re: bug#10298: 23.1; password protected url via find-file fails at first)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 12 Jan 2012 08:18:01 +0000

Your bug report

#10298: 23.1; password protected url via find-file fails at first

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
10298: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=10298
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#10298: 23.1; password protected url via find-file fails at first
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Thu, 12 Jan 2012 03:17:14 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 24.0.93

Bastian B wrote:

> when I try to open a password protected url via find-file it fails the
> first time. It seems to be in a loop which I have to C-g. On the
> second and subsequent call it works.
>
> In GNU Emacs 23.1.1 (i386-mingw-nt6.1.7601)

When I tried:

emacs -Q -f url-handler-mode
C-x C-f http://site.needing.password.com/ RET

Emacs said

  error in process filter: url-basic-auth: Command attempted to use
  minibuffer while in minibuffer

So I made url-basic-auth enable recursive minibuffers (which seems to be
how eg Tramp handles this kind of thing).

Subject: 23.1; password protected url via find-file fails at first
From: Bastian B <[email-masked]>
To: [email-masked]
Date: Wed, 14 Dec 2011 11:46:34 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

when I try to open a password protected url via find-file it fails the
first time. It seems to be in a loop which I have to C-g. On the
second and subsequent call it works.

In GNU Emacs 23.1.1 (i386-mingw-nt6.1.7601)
 of 2009-07-30 on SOFT-MJASON
Windowing system distributor `Microsoft Corp.', version 6.1.7601
configured using `configure --with-gcc (4.4)'

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: DEU
  value of $XMODIFIERS: nil
  locale-coding-system: cp1252
  default-enable-multibyte-characters: t

Major mode: C/l

Minor modes in effect:
  yas/global-mode: t
  yas/minor-mode: t
  global-auto-complete-mode: t
  auto-complete-mode: t
  swbuff-y-mode: t
  url-handler-mode: t
  show-paren-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  unify-8859-on-decoding-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t
  abbrev-mode: t

Recent input:
<return> C-x C-e <help-echo> <help-echo> <help-echo>
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo>
<menu-bar> <help-menu> <send-emacs-bug-report>

Recent messages:
Mark set
Contacting host: proxy-mine:3128 [2 times]
Reading [text/plain]... 50k of 50k (100%)
Contacting host: proxy-mine:3128
Note: file is write protected
Contacting host: proxy-mine:3128 [7 times]
Quit
Contacting host: proxy-mine:3128
#<buffer myfile.c>
byte-code: Text is read-only: #<buffer  *Minibuf-1*>